Bug 1033703 - Pin TPS to specific versions of mozbase packages. r=ahal a=testonly DONTBUILD
authorHenrik Skupin <mail@hskupin.info>
Thu, 03 Jul 2014 16:06:27 +0200
changeset 212997 db81d22fe5adbd1de78a56d00aa11b082ee18e18
parent 212996 6b16d520f752b6f544aab0540d8ed980599f0844
child 212998 414c6e6ed1fa34967cd677e6d4e466cf3fa973b1
push id3857
push userraliiev@mozilla.com
push dateTue, 02 Sep 2014 16:39:23 +0000
treeherdermozilla-beta@5638b907b505 [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersahal, testonly
bugs1033703
milestone33.0a1
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
Bug 1033703 - Pin TPS to specific versions of mozbase packages. r=ahal a=testonly DONTBUILD --- testing/tps/setup.py | 16 ++++++++-------- 1 file changed, 8 insertions(+), 8 deletions(-)
testing/tps/setup.py
--- a/testing/tps/setup.py
+++ b/testing/tps/setup.py
@@ -2,24 +2,24 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
 from setuptools import setup, find_packages
 import sys
 
 version = '0.5'
 
-deps = ['httplib2 >= 0.7.3',
-        'mozfile >= 1.1',
-        'mozhttpd >= 0.7',
-        'mozinfo >= 0.7',
-        'mozinstall >= 1.9',
-        'mozprocess >= 0.18',
-        'mozprofile >= 0.21',
-        'mozrunner >= 5.35',
+deps = ['httplib2 == 0.7.3',
+        'mozfile == 1.1',
+        'mozhttpd == 0.7',
+        'mozinfo == 0.7',
+        'mozinstall == 1.10',
+        'mozprocess == 0.19',
+        'mozprofile == 0.21',
+        'mozrunner == 6.0',
         'mozversion == 0.6',
        ]
 
 # we only support python 2.6+ right now
 assert sys.version_info[0] == 2
 assert sys.version_info[1] >= 6
 
 setup(name='tps',